Bug 972152 - rt2x00pci WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x90/0xa0() [NEEDINFO]
rt2x00pci WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x90/0xa0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-ralink
Fedora Extras Quality Assurance
abrt_hash:bac333db1a6e27230ad4568ced9...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 15:35 EDT by r0qu3r0
Modified: 2013-11-20 09:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 09:44:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sgruszka: needinfo? (r0qu3)
jforbes: needinfo? (r0qu3)


Attachments (Terms of Use)
File: dmesg (85.47 KB, text/plain)
2013-06-07 15:35 EDT, r0qu3r0
no flags Details

  None (edit)
Description r0qu3r0 2013-06-07 15:35:29 EDT
Additional info:
reporter:       libreport-2.1.4
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x90/0xa0()
Hardware name: Studio 1558
Device rt2800pci
disabling already-disabled device
Modules linked in: ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bnep bluetooth iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc acpi_cpufreq mperf coretemp kvm_intel snd_timer arc4 dell_laptop rt2800pci dcdbas rt2800lib rt2x00pci rt2x00mmio rt2x00lib eeprom_93cx6 mac80211 snd soundcore cfg80211 rfkill crc_ccitt kvm joydev uvcvideo videobuf2_vmalloc videobuf2_memops i2c_i801 videobuf2_core videodev media iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap microcode intel_ips lpc_ich mei mfd_core binfmt_misc uinput radeon crc32c_intel i2c_algo_bit drm_kms_helper firewire_ohci ttm r8169 sdhci_pci mii firewire_core sdhci crc_itu_t ssb drm mmc_core i2c_core wmi video sunrpc
Pid: 4, comm: kworker/0:0 Not tainted 3.9.4-200.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105f125>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f206>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff8132de70>] pci_disable_device+0x90/0xa0
 [<ffffffffa03741d0>] rt2x00pci_remove+0x60/0x80 [rt2x00pci]
 [<ffffffff81330f26>] pci_device_remove+0x46/0xc0
 [<ffffffff813f90dc>] __device_release_driver+0x7c/0xe0
 [<ffffffff813f941c>] device_release_driver+0x2c/0x40
 [<ffffffff813f8b6e>] bus_remove_device+0xee/0x160
 [<ffffffff813f5f8a>] device_del+0x11a/0x1b0
 [<ffffffff8132ae1c>] pci_stop_bus_device+0x9c/0xb0
 [<ffffffff8132af86>] pci_stop_and_remove_bus_device+0x16/0x30
 [<ffffffff81346d46>] acpiphp_disable_slot+0xf6/0x1a0
 [<ffffffff81345b62>] ? get_slot_status+0x92/0xc0
 [<ffffffff81346e1d>] acpiphp_check_bridge.isra.11+0x2d/0xf0
 [<ffffffff8134729e>] _handle_hotplug_event_bridge+0x10e/0x2c0
 [<ffffffff8107d669>] ? queue_work+0x19/0x20
 [<ffffffff81367097>] ? acpi_os_release_object+0xe/0x12
 [<ffffffff8107b7a3>] process_one_work+0x173/0x3c0
 [<ffffffff8107d0cf>] worker_thread+0x10f/0x390
 [<ffffffff8107cfc0>] ? busy_worker_rebind_fn+0xb0/0xb0
 [<ffffffff81082c70>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082bb0>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff81669eac>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082bb0>] ? kthread_create_on_node+0x120/0x120
Comment 1 r0qu3r0 2013-06-07 15:35:35 EDT
Created attachment 758303 [details]
File: dmesg
Comment 2 Stanislaw Gruszka 2013-10-15 09:25:09 EDT
Can you easily reproduce this problem on suspend/resume? Does is still happen on 3.11 ?
Comment 3 Justin M. Forbes 2013-10-18 17:17:19 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.